%define realname apcu (APC User Cache)
%define modname apcu
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 99_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	4.0.10
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/APCu
Source0:	http://pecl.php.net/get/apcu-%{version}.tar.xz
Source1:	apcu.ini
Source2:	php-apcu.config.php
Patch0:		apcu-4.0.7-default_lock_dir.diff
Patch1:		apcu-4.0.7-default_config.diff
BuildRequires:	php-devel
BuildRequires:	pcre-devel
Provides:	php-apc = %{version}-%{release}
Obsoletes:	php-apc

%description
APCu is userland caching: APC stripped of opcode caching in preparation
for the deployment of Zend OPcache as the primary solution to opcode
caching in future versions of PHP.

APCu has a revised and simplified codebase, by the time the PECL release
is available, every part of APCu being used will have received review and
where necessary or appropriate, changes.

Simplifying and documenting the API of APCu completely removes the barrier
to maintenance and development of APCu in the future, and additionally allows
us to make optimizations not possible previously because of APC's inherent
complexity.

APCu only supports userland caching (and dumping) of variables, providing an
upgrade path for the future. When O+ takes over, many will be tempted to use
3rd party solutions to userland caching, possibly even distributed solutions;
this would be a grave error. The tried and tested APC codebase provides far
superior support for local storage of PHP variables.

%package	admin
Summary:	Web admin GUI for %{realname}
Group:		Development/PHP
Requires:	%{name}
Provides:	php-apc-admin = 1:%{version}
Obsoletes:	php-apc-admin

%description	admin
This package contains a Web admin GUI for %{realname}.

To access the web GUI please open up your favourite web browser and point to:

http://localhost/%{name}/

%prep

%setup -q -n apcu-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p1
%patch1 -p1

cp %{SOURCE1} %{inifile}
cp %{SOURCE2} php-apc.config.php

%build
%serverbuild

phpize

%configure2_5x

%make

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}/var/lib/php-apcu

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

install -m0755 modules/apcu.so %{buildroot}%{_libdir}/php/extensions/

install -d -m 755 %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf << EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require local granted
    ErrorDocument 403 "Access denied per %{webappconfdir}/%{name}.conf"
</Directory>
EOF

install -m0644 apc.php %{buildroot}%{_datadir}/%{name}/index.php
install -m0644 php-apc.config.php %{buildroot}%{_sysconfdir}/%{name}/config.php

cat > README.pclos << EOF
The actual configuration file is /etc/php-apcu/config.php.
EOF

%post admin
# generate random secret
secret=%_get_password 46

# blowfish secret
perl -pi -e "s|_PASSWORD_|$secret|g" %{_sysconfdir}/%{name}/config.php

%files
%doc tests INSTALL LICENSE NOTICE TECHNOTES.txt TODO package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/apcu.so
%attr(0755,apache,apache) /var/lib/php-apcu

%files admin
%doc README.pclos
%config(noreplace) %{webappconfdir}/%{name}.conf
%attr(0640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/index.php



%changelog
* Sun Dec 11 2016 bb <bb. 4.0.10-1pclos2017
- update

